org.apache.sling.feature.modelconverter

## Class FeatureToProvisioning

- java.lang.Object
- - org.apache.sling.feature.modelconverter.FeatureToProvisioning

    public class FeatureToProvisioning
    extends Object

Converter that converts the feature model to the provisioning model.

### Constructor Summary

Constructors
Constructor and Description
`FeatureToProvisioning()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `convert(File inputFile, File outputFile, org.apache.sling.feature.builder.FeatureProvider fp, File... additionalInputFiles)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FeatureToProvisioning

    public FeatureToProvisioning()

### Method Detail

#### convert

    public static void convert(File inputFile,
                               File outputFile,
                               org.apache.sling.feature.builder.FeatureProvider fp,
                               File... additionalInputFiles)
                        throws UncheckedIOException

Throws:
  `UncheckedIOException`